Bug 244416 - intel experimental video driver crashes system
intel experimental video driver crashes system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
7
i386 Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 11:02 EDT by Bryan Che
Modified: 2008-06-02 14:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 14:16:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Che 2007-06-15 11:02:45 EDT
Description of problem:

When using the Intel experimental video driver on my thinkpad T60 with intel 945
gm, often my system will freeze, and the screen will show a bunch of gray block
on a black screen moving around.  If I switch to the 810 drivers, I don't have
this issue.


Version-Release number of selected component (if applicable):

xorg-x11-drv-i810-2.0.0-3.fc7
xorg-x11-server-Xorg-1.3.0.0-8.fc


How reproducible:

not very--this is intermittent.  However, it happens usually on logout or system
shutdown.

Steps to Reproduce:
1. logout or shutdown
2.
3.
  
Actual results:

system freezes with lots of gray blocks on a black screen


Expected results:
successful logout or shutdown

Additional info:
Comment 1 Matěj Cepl 2007-06-15 11:36:27 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Bryan Che 2007-06-21 19:14:02 EDT
See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243760 for the
requested attachments
Comment 3 Tomas Janousek 2007-11-08 16:34:18 EST
Just a note that I'm able to reproduce this in nearly 100 % of cases using the
xrandr command as described here:
http://bugs.freedesktop.org/show_bug.cgi?id=11525#c0

And it seems they fixed this upstream. I haven't tested it yet, though. (and I'm
not running Fedora on this HW, anyway)
Should be commit eecd3ccedee6c4acf101591f7e60673660379e62 in master branch of
xf86-video-intel. (I wanted to paste a link to gitweb, but gitweb.fd.o seems dead)
Comment 4 Jesse Barnes 2008-01-10 17:59:33 EST
Yeah, 9xx should be pretty solid at this point.  Please retest when you can 
and update the bug.
Comment 5 Tomas Janousek 2008-01-14 05:12:39 EST
(as far as I'm concerned, that single patch -- which I applied manually -- fixed
all my problems and X+intel have been really solid since)
Comment 6 Jesse Barnes 2008-01-17 21:27:54 EST
Tomas, I know this isn't really a Fedora issue at this point since you 
manually applied the patch, but I wonder if you could test upstream git?  I 
made some changes in this area recently and hopefully things will still work 
for you.  If not, I'd definitely appreciate if you could file a bug at 
freedesktop.org against the intel driver for the problem.

Thanks,
Jesse
Comment 7 Tomas Janousek 2008-01-28 10:42:07 EST
I updated to latest git and things seem to work. If they stop, I'll make a note
about it :)
Comment 8 Matěj Cepl 2008-01-28 12:15:31 EST
I guess, this is not NEEDINFO anymore.
Comment 9 Bug Zapper 2008-05-14 09:06:44 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Peter van Egdom 2008-06-02 14:16:18 EDT
Thank you for the bug report. Closing bug as per comment #7.

If you still experience this problem after updating to our latest Fedora
release, reopen this bug against that version if this bug exists there.

Note You need to log in before you can comment on or make changes to this bug.